create or replace view RTCM_VIEW_CONFIG_LAST_VALUE
AS
WITH cte
         AS (
        select ROW_NUMBER() over (PARTITION BY CLUSTER_ID, COMMON_CONFIG_ID, REF_ID ORDER BY UPDATED DESC) as VERSION,
               *
        from
            (
                select H.ID, COMMON_CONFIG_ID, CLUSTER_ID, REF_ID, "VALUE", CREATED, UPDATED
                from RTCM_CONFIG_HISTORY H

                union all

                select hc.ID, COMMON_CONFIG_ID, CLUSTER_ID, REF_ID, "VALUE", CREATED, UPDATED from rtcm_custom_config_history hc

            ) as config
    )
select ID, COMMON_CONFIG_ID, CLUSTER_ID, REF_ID, "VALUE", VERSION
from cte c;