drop sequence if exists hibernate_sequence;

create sequence hibernate_sequence start with 1 increment by 1;

alter table rtcm_cluster
    add constraint FK_rtcm_cluster_rtcm_plugins foreign key (plugin_id) references rtcm_plugins (id);

alter table rtcm_cluster
    add constraint FK_rtcm_cluster_rtcm_provider foreign key (provider_id) references rtcm_provider(id);

alter table rtcm_services
    add constraint FK_rtcm_services_rtcm_plugins foreign key (plugin_id) references rtcm_plugins (id);

alter table sb_user_roles
    add constraint FK_sb_user_roles_sb_role foreign key (role_id) references sb_role (id);

alter table sb_user_roles
    add constraint FK_sb_user_roles_sb_user foreign key (user_id) references sb_user (id);

alter table rtcm_events
    add constraint FK_rtcm_events_rtcm_cluster foreign key (cluster_id) references rtcm_cluster (id);

alter table rtcm_events
    add constraint FK_rtcm_events_rtcm_action_UI foreign key (action_ui_id) references rtcm_action_UI (id);

alter table rtcm_action_UI
    add constraint FK_rtcm_action_UI_rtcm_services foreign key (services_id) references rtcm_services (id);

alter table rtcm_storage_log
    add constraint FK_rtcm_storage_log_rtcm_events foreign key (events_id) references rtcm_events (id);

alter table rtcm_host_services
    add constraint FK_rtcm_host_services_rtcm_host foreign key (host_id) references rtcm_host (id);

alter table rtcm_host_services
    add constraint FK_rtcm_host_services_rtcm_services foreign key (services_id) references rtcm_services (id);

alter table rtcm_host_services
    add constraint FK_rtcm_host_services_rtcm_group_roles foreign key (group_roles_id) references rtcm_group_roles (id);

alter table rtcm_host
    add constraint FK_rtcm_host_rtcm_cluster foreign key (cluster_id) references rtcm_cluster (id);

alter table rtcm_task_runner
    add constraint FK_rtcm_task_runner_rtcm_action foreign key (action_id) references RTCM_ACTION (id);

alter table rtcm_task_runner
    add constraint FK_rtcm_task_runner_rtcm_group_roles foreign key (role_id) references RTCM_GROUP_ROLES (id);

alter table rtcm_task_runner
    add constraint FK_rtcm_task_runner_rtcm_services foreign key (service_id) references rtcm_services (id);

alter table rtcm_task_runner
    add constraint FK_rtcm_task_runner_rtcm_action_UI foreign key (action_ui_id) references RTCM_ACTION_UI (id);

alter table rtcm_cluster_services
    add constraint FK_rtcm_cluster_services_rtcm_cluster foreign key (cluster_id) references rtcm_cluster (id);

alter table rtcm_cluster_services
    add constraint FK_rtcm_cluster_services_rtcm_services foreign key (services_id) references rtcm_services(id);