#!/usr/bin/env bash

SCRIPT_DIR=$(dirname "$0")
# shellcheck disable=SC2034
SCRIPT_NAME=$(basename "$0")
# shellcheck disable=SC2034
RTCM_HOME=$(cd "${SCRIPT_DIR}" && cd .. && pwd)

PID_FILE=.pid

case "$1" in
start)
  if [ -e $RTCM_HOME/$PID_FILE ]; then
    # shellcheck disable=SC2046
    echo rtcm is running, pid=`cat $RTCM_HOME/$PID_FILE`
  else
    java -jar ${RTCM_HOME}/lib/rtcm-rest-0.0.1-SNAPSHOT.jar
    echo $! > $RTCM_HOME/$PID_FILE
  fi
   ;;
stop)
   # shellcheck disable=SC2046
   kill `cat $RTCM_HOME/$PID_FILE`
   rm $RTCM_HOME/$PID_FILE
   ;;
restart)
   $0 stop
   $0 start
   ;;
status)
   if [ -e $RTCM_HOME/$PID_FILE ]; then
      # shellcheck disable=SC2046
      echo pay.sh is running, pid=`cat $RTCM_HOME/$PID_FILE`
   else
      echo pay.sh is NOT running
      exit 1
   fi
   ;;
*)
   echo "Usage: $0 {start|stop|status|restart}"
esac

exit 0
